# Backbone-Ausbau Freifunk Lübeck (VERALTET)

Dieses Dokument versucht ein Konzept für den Ausbau eines Freifunk
Backbones in Lübeck zu erarbeiten. Ziele sind:

  - einen Funkbackbone, vorzugsweise als Ring um die Altstadt,
    aufzubauen
  - diesen Backbone an zwei Standorten symmetrisch mit mind. 100 MBit/s
    an das Internet anzubinden
  - den Ausbau über öffentliche Mittel oder Spenden zu finanzieren

Der Ausbau wird grob in *Standorte* unterteilt. Jeder Standort wird von
einem Team aus mindestens zwei Personen projektiert und durchgeführt.
Der Fortschritt wird je Standort fortlaufend im Wiki dokumentiert, so
dass bei Fertigstellung eine vollständige Dokumentation vorliegt. Fotos
sind erwünscht\! Diese Dokumentationen dienen maßgeblich zwei Zwecken:

  - Dokumentation für uns und diejenigen, die in einigen Jahen die
    Hardware gegen neuere austauschen oder erweitern.
  - Rechenschaftsbericht gegenüber Sponsoren, die letztendlich die
    verbaute Hardware bezahlen.

## Finanzierung

Die gesamte Finanzierung soll über öffentliche Gelder oder Spenden
erfolgen. Finanziert werden kann:

  - Einkauf von Hardware, Netzwerkkabeln, Installationsmaterial, … die
    direkt für den Backbone benötigt werden
  - Handwerksdienstleistungen, die im Zusammenhang damit anfallen
    (Kabeldurchführungen durch Brandschutzdecken, Blitzschutz, usw)

## Workflow Standortteam

Das Standortteam führt, je nach Gegebenheiten folgende Arbeiten durch:

  - Erstellen der Standortseite im Wiki
  - Eintragen der Seite in Übersichtsseite
  - Kontaktaufnahme mit dem Eigentümer
  - Besichtigungstermin durchführen (Fotos\!)
  - Standort projektieren
  - Vertrag mit Eigentümer abschließen
  - Hardware über Lager/Beschafung reservieren
  - ggf. handwerkliche Vorarbeiten durchführen
  - Hardware aufbauen

### Kontaktaufnahme (Entwurf)

  - kurze Rückfrage ob der Standort schon bearbeitet wird (meist reicht
    Wiki-Liste + Mail)
  - am Standort direkt Verantwortlichen/Hausmeister kontaktieren
  - Freifunk kurz vorstellen
  - Rückmeldung an Mailingliste + Wiki
  - Statusmeldung an Gebäudemanagement Lübeck

## Lagerverwaltung

Die Hardware wird im Lager (ggf. mehrere) vorgehalten und dort von den
Standortteams abgeholt. Als Lager bieten sich z.B. Büros oder
Privatwohnungen an, die möglichst zentral gelegen sind.

Für die Verwaltung des Lagers ist jeweils eine Person zuständig, die
sowohl die Wareneingangskontrolle als auch die Warenausgabe durchführt.
Je Lager wird es eine Wikiseite geben, die den aktuellen Bestand, sowie
Ein- und Ausgänge (jeweils mit Seriennummern) auflistet. Desweiteren
werden Ein- und Ausgänge auch lokal (Lieferscheine + Ausgabescheine mit
Unterschrift) dokumentiert und archiviert.

*Wareneingangskontrolle*

  - gelieferte Ware wird mit Bestellungen abgeglichen
  - Rückmeldung an Beschaffung
  - Lieferscheine abgeheftet
  - Seriennummern notieren

*Warenausgabe*

  - Ausgabe gegen Unterschrift. Einsatzzweck festhalten (auch im Wiki)

### Beschaffung

  - Einholen von Angeboten / Ausschreibungen
  - Bestellungen durchführen
  - Finanzierungen klären (z.B. öffentliche Gelder)
  - Rechnungen bezahlen (nach Rückmeldung vom Lager)

Generell sind große Bestellungen auf Rechnung gegenüber Einzeleinkäufen
zu bevorzugen**Bitte editiert diese Dokument nicht ohne Absprache mit
Nils**

Lieferungen erfolgen direkt ans Lager.

Für das Bezahlen der Rechnungen ist ggf. eine enge Zusammenarbeit mit
oder Prokura von einem gemeinnützigen Verein nötig.

## Umfang der Dokumentation

Die Dokumentation wird fortlaufend im Wiki aktualisiert und soll u.a.
folgende Angaben enthalten:

  - Objektadresse, ggf. Webseite
  - Ansprechpartner (Standortteam + ggf. Eigentümer/Hausmeister/…)
  - Status (Kontaktaufnahme, In Planung, Projektiert, Im Aufbau,
    Fertiggestellt)
  - Bilder\!
  - Liste der verbauten Hardware inkl. Serienummern, MACs, Knotennamen
  - Liste von verwendeten Material (Netzwerkbel, Kabelschellen,
    Schrauben, …) bei verwendung von Fördergeldern
  - Liste durchgeführter handwerklicher Arbeiten

### Logbuch

Das Standortteam führt außerdem ein stichpunktartiges Logbuch. Dort wird
u.a. der Projektbeginn, durchgeführte Arbeiten und Projektabschluss
dokumentiert. Nachträgliche Veränderungen (auch z.B. Kanalwechsel der
Software oder Hardwaretausch) werden dort festgehalten.

# Geeignete Standorte

  - Flachdach oder ähnlich leicht zugänglich
  - keine privaten Gebäude bei öffentlicher Förderung

# Hardware und Softwaresetup

TBD - keine DSL Anschlüsse\!


# Standorte

| Standort                           | Status                             |
| ---------------------------------- | ----------------------             |
| Brauberger                         | ?                                  |
| Buddenbrookhaus                    | ?  fluse152                        |
| [Burgtor](standorte/jzbt)          | Teilinstalliert			  |
| DGB-Haus                           | fertig? offline (corona?)          |
| [Fluse100](standorte/fluse100)     | offline, braucht neustart          | 
| [Friedrich-List-Schule (Wirtschaft)](standorte/fls) | ? |
| [Julius-Leber-Schule](standorte/jls) | Fertiggestellt |
| [Pflegezentrum Travemünder Allee](standorte/pzta) | ? |
| [Thomas-Mann-Schule](standorte/tms)| ? | 
| Wasserkunst                        | ? |
